package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

@Data
public class TradeSalesRewardDto {

    /**
     * 入金金额
     */
    private Float depositAmount;

    /**
     * 出金金额
     */
    private Float withdrawAmount;

    /**
     * 佣金提取金额
     */
    private Float agentWithdrawAmount;

    /**
     * 净入金金额
     */
    private Float worthDepositAmount;

    /**
     * 注册人数
     */
    private Integer addCustomNum;

    /**
     * 真实账户人数
     */
    private Integer realCustomNum;

    private Long cId;

    private String ibNo;

    private String name;

    public static TradeSalesRewardDto getInstance(){
        TradeSalesRewardDto dto = new TradeSalesRewardDto();
        dto.setDepositAmount(0f);
        dto.setWithdrawAmount(0F);
        dto.setAgentWithdrawAmount(0f);
        dto.setWorthDepositAmount(0f);
        dto.setAddCustomNum(0);
        dto.setRealCustomNum(0);
        return dto;
    }

}
